﻿@model MjestaViewModel

@{
    ViewData["Title"] = "Popis mjesta";
}

<h1>Popis mjesta</h1>
<p>
    <small>
        Stranica za prikaz stavki tablice Mjesto. Omogućeno je straničenje te sortiranje po svim stupcima. Za svako mjesto postoji opcija uređivanja ili brisanja. Prilikom pokušaja brisanja zapisa, korisnik je upitan je li siguran da ga želi izbrisati.
    </small>
</p>

<a asp-action="Create">Stvori novo mjesto</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu" page-action="Index" class="float-right"></pager>

<table class="table table-sm table-striped table-hover">
    <thead>
        <tr>
            @{
                string[] nazivi = { "Poštanski broj", "Naziv mjesta", "Naziv države" };
                for (int i = 1; i <= nazivi.Length; i++)
                {
                    <th>
                        <a asp-route-sort="@i"
                           asp-route-page="@Model.PagingInfo.CurrentPage"
                           asp-route-ascending="@(Model.PagingInfo.Sort == i ? !Model.PagingInfo.Ascending : true)">@nazivi[i - 1]</a>
                    </th>
                }
            }
            <th></th>
            <th></th>
        </tr>
    </thead>

    <tbody>
        @foreach (var mjesto in Model.Mjesta)
        {
            @*<partial name="Row" model="mjesto" />*@
            <tr>
                <td class="text-left">@mjesto.PostanskiBroj</td>
                <td class="text-left">@mjesto.Naziv</td>
                <td class="text-left">@mjesto.NazivDrzave</td>
                <td>
                    <a asp-action="Edit"
                       asp-route-PostanskiBroj="@mjesto.PostanskiBroj"
                       asp-route-page="@Model.PagingInfo.CurrentPage"
                       asp-route-sort="@Model.PagingInfo.Sort"
                       asp-route-ascending="@Model.PagingInfo.Ascending"
                       class="btn btn-sm edit"
                       title="Ažuriraj"><i class="fas fa-edit"></i></a>
                </td>
                <td>
                    <form asp-action="Delete" method="post"
                          asp-route-page="@Model.PagingInfo.CurrentPage"
                          asp-route-sort="@Model.PagingInfo.Sort"
                          asp-route-ascending="@Model.PagingInfo.Ascending">
                        <input type="hidden" name="PostanskiBroj" value="@mjesto.PostanskiBroj" />
                        <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                            <i class="fas fa-trash-alt"></i>
                        </button>
                    </form>
                </td>
            </tr>
        }
    </tbody>
</table>